- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 35fbc14f-0be9-4b95-b1ce-7d2bc548b563
    creation_time: 2023-02-17T13:37:59.373767Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c: 4615816b63186e8ef25ffa56a09fb574b90534edb7a787dbb36e36eb2c34dee2
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c
    file_hash: 4615816b63186e8ef25ffa56a09fb574b90534edb7a787dbb36e36eb2c34dee2
    line: 30
    column: 0
    function: main
  loop_invariant:
    string: t == 2 * a + 1 && s == (a + 1) * (a + 1) && t * t - 4 * s + 2 * t + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ada4d76c-3f30-4f49-8bee-bd4470a25fcf
    creation_time: 2023-02-17T13:37:59.374151Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c: 4615816b63186e8ef25ffa56a09fb574b90534edb7a787dbb36e36eb2c34dee2
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c
    file_hash: 4615816b63186e8ef25ffa56a09fb574b90534edb7a787dbb36e36eb2c34dee2
    line: 31
    column: 0
    function: main
  location_invariant:
    string: t == 2*a + 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 923981c1-5614-4368-ad03-4b542d02bfbb
    creation_time: 2023-02-17T13:37:59.374242Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c: 4615816b63186e8ef25ffa56a09fb574b90534edb7a787dbb36e36eb2c34dee2
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c
    file_hash: 4615816b63186e8ef25ffa56a09fb574b90534edb7a787dbb36e36eb2c34dee2
    line: 32
    column: 0
    function: main
  location_invariant:
    string: s == (a + 1) * (a + 1)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: cc50d5e5-7aa5-41bf-a8c6-50b5a1b1fcc4
    creation_time: 2023-02-17T13:37:59.374329Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c: 4615816b63186e8ef25ffa56a09fb574b90534edb7a787dbb36e36eb2c34dee2
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c
    file_hash: 4615816b63186e8ef25ffa56a09fb574b90534edb7a787dbb36e36eb2c34dee2
    line: 33
    column: 0
    function: main
  location_invariant:
    string: t*t - 4*s + 2*t + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c933b309-36e4-4e00-bf69-a199ad1c701d
    creation_time: 2023-02-17T13:37:59.374412Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c: 4615816b63186e8ef25ffa56a09fb574b90534edb7a787dbb36e36eb2c34dee2
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c
    file_hash: 4615816b63186e8ef25ffa56a09fb574b90534edb7a787dbb36e36eb2c34dee2
    line: 44
    column: 0
    function: main
  location_invariant:
    string: t == 2 * a + 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 3708469d-dad4-4b24-85a2-7b1d83ff7486
    creation_time: 2023-02-17T13:37:59.374492Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c: 4615816b63186e8ef25ffa56a09fb574b90534edb7a787dbb36e36eb2c34dee2
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c
    file_hash: 4615816b63186e8ef25ffa56a09fb574b90534edb7a787dbb36e36eb2c34dee2
    line: 45
    column: 0
    function: main
  location_invariant:
    string: s == (a + 1) * (a + 1)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 0d08fecc-8e22-4a89-a5ba-df3c63113ccb
    creation_time: 2023-02-17T13:37:59.374571Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c: 4615816b63186e8ef25ffa56a09fb574b90534edb7a787dbb36e36eb2c34dee2
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound10.c
    file_hash: 4615816b63186e8ef25ffa56a09fb574b90534edb7a787dbb36e36eb2c34dee2
    line: 46
    column: 0
    function: main
  location_invariant:
    string: t*t - 4*s + 2*t + 1 == 0
    type: assertion
    format: C

